<?php

namespace cn\com\maiyoule\mqttclient\biz;

use cn\com\maiyoule\mqttclient\IRequest;

class AppUsersRequest extends IRequest
{

    public function path(): string
    {
        return 'mqtt/users';
    }

    private string $role;

    public function getRole(): string
    {
        return $this->role;
    }

    public function setRole(string $role): void
    {
        $this->role = $role;
    }


    public function body(): array
    {
        return [
            'role' => $this->role,
        ];
    }
}